# Uses of Class
javax.swing.event.MenuEvent

Packages that use MenuEvent
Package
Description
javax.swing.event
Provides for events fired by Swing components.

## Uses of MenuEvent in javax.swing.event

Methods in javax.swing.event with parameters of type MenuEvent
Modifier and Type
Method
Description
`void`
MenuListener.`menuCanceled​(MenuEvent e)`
Invoked when the menu is canceled.
`void`
MenuListener.`menuDeselected​(MenuEvent e)`
Invoked when the menu is deselected.
`void`
MenuListener.`menuSelected​(MenuEvent e)`
Invoked when a menu is selected.